<?php
/**
* Custom Hooks
*
* @package EasyWP WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function easywp_before_main_content() {
    do_action('easywp_before_main_content');
}

function easywp_after_main_content() {
    do_action('easywp_after_main_content');
}

function easywp_before_sidebar_left() {
    do_action('easywp_before_sidebar_left');
}

function easywp_after_sidebar_left() {
    do_action('easywp_after_sidebar_left');
}

function easywp_before_sidebar_right() {
    do_action('easywp_before_sidebar_right');
}

function easywp_after_sidebar_right() {
    do_action('easywp_after_sidebar_right');
}

function easywp_before_single_post() {
    do_action('easywp_before_single_post');
}

function easywp_before_single_post_title() {
    do_action('easywp_before_single_post_title');
}

function easywp_after_single_post_title() {
    do_action('easywp_after_single_post_title');
}

function easywp_after_single_post_content() {
    do_action('easywp_after_single_post_content');
}

function easywp_after_single_post() {
    do_action('easywp_after_single_post');
}

function easywp_before_single_page() {
    do_action('easywp_before_single_page');
}

function easywp_before_single_page_title() {
    do_action('easywp_before_single_page_title');
}

function easywp_after_single_page_title() {
    do_action('easywp_after_single_page_title');
}

function easywp_after_single_page_content() {
    do_action('easywp_after_single_page_content');
}

function easywp_after_single_page() {
    do_action('easywp_after_single_page');
}

if ( ! function_exists( 'easywp_remove_theme_support' ) ) :
function easywp_remove_theme_support() {

    if ( easywp_is_fitvids_active() ) {
        // Remove responsive embedded content support.
        remove_theme_support( 'responsive-embeds' );
    }

}
endif;
add_action( 'after_setup_theme', 'easywp_remove_theme_support', 1000 );